require 'spec_helper'

module SavingsManagementTest
  describe 'SavingsManagement queryDiscountConfigurationSummary' do
    include_context 'request metadata'
    it 'DiscountConfiguration Summary AWS' do
      wrap_request do
        variables = {
          "requestInput": {
            "providers": [
              "AWS"
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryDiscountConfigurationSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryDiscountConfigurationSummary, service: service)
      end
    end

#     it 'DiscountConfiguration Summary Azure' do
#       wrap_request do
#         variables = {
#           "requestInput": {
#             "providers": [
#               "AZURE"
#             ]
#           }
#         }
#         graphql url(service: service),
#                 format_request(
#                   :queryDiscountConfigurationSummary,
#                   service: service
#                 ),
#                 variables, headers
#         expect_success_graphql
#         check(:queryDiscountConfigurationSummary, service: service)
#       end
#     end

  end
end
