require 'spec_helper'

module SavingsManagementTest
  describe 'SavingsManagement querySpendBasedDiscountOpportunities' do
    include_context 'request metadata'
    it 'AWS : Spend Based Discuount opportunities' do
      wrap_request do
        variables = {
          "requestInput": {
            "discountSummaryRequest": [
              {
                "billingAccountId": [],
                "commitmentDuration": "ONE_YEAR",
                "provider": "AWS",
                "purchaseOption": "ALL_UPFRONT"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :querySpendBasedDiscountOpportunities,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:querySpendBasedDiscountOpportunities, service: service)
      end
    end

  end
end
